"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var ElasticLoadBalancingClient_1 = require("./ElasticLoadBalancingClient");
var AddTagsCommand_1 = require("./commands/AddTagsCommand");
var ApplySecurityGroupsToLoadBalancerCommand_1 = require("./commands/ApplySecurityGroupsToLoadBalancerCommand");
var AttachLoadBalancerToSubnetsCommand_1 = require("./commands/AttachLoadBalancerToSubnetsCommand");
var ConfigureHealthCheckCommand_1 = require("./commands/ConfigureHealthCheckCommand");
var CreateAppCookieStickinessPolicyCommand_1 = require("./commands/CreateAppCookieStickinessPolicyCommand");
var CreateLBCookieStickinessPolicyCommand_1 = require("./commands/CreateLBCookieStickinessPolicyCommand");
var CreateLoadBalancerCommand_1 = require("./commands/CreateLoadBalancerCommand");
var CreateLoadBalancerListenersCommand_1 = require("./commands/CreateLoadBalancerListenersCommand");
var CreateLoadBalancerPolicyCommand_1 = require("./commands/CreateLoadBalancerPolicyCommand");
var DeleteLoadBalancerCommand_1 = require("./commands/DeleteLoadBalancerCommand");
var DeleteLoadBalancerListenersCommand_1 = require("./commands/DeleteLoadBalancerListenersCommand");
var DeleteLoadBalancerPolicyCommand_1 = require("./commands/DeleteLoadBalancerPolicyCommand");
var DeregisterInstancesFromLoadBalancerCommand_1 = require("./commands/DeregisterInstancesFromLoadBalancerCommand");
var DescribeAccountLimitsCommand_1 = require("./commands/DescribeAccountLimitsCommand");
var DescribeInstanceHealthCommand_1 = require("./commands/DescribeInstanceHealthCommand");
var DescribeLoadBalancerAttributesCommand_1 = require("./commands/DescribeLoadBalancerAttributesCommand");
var DescribeLoadBalancerPoliciesCommand_1 = require("./commands/DescribeLoadBalancerPoliciesCommand");
var DescribeLoadBalancerPolicyTypesCommand_1 = require("./commands/DescribeLoadBalancerPolicyTypesCommand");
var DescribeLoadBalancersCommand_1 = require("./commands/DescribeLoadBalancersCommand");
var DescribeTagsCommand_1 = require("./commands/DescribeTagsCommand");
var DetachLoadBalancerFromSubnetsCommand_1 = require("./commands/DetachLoadBalancerFromSubnetsCommand");
var DisableAvailabilityZonesForLoadBalancerCommand_1 = require("./commands/DisableAvailabilityZonesForLoadBalancerCommand");
var EnableAvailabilityZonesForLoadBalancerCommand_1 = require("./commands/EnableAvailabilityZonesForLoadBalancerCommand");
var ModifyLoadBalancerAttributesCommand_1 = require("./commands/ModifyLoadBalancerAttributesCommand");
var RegisterInstancesWithLoadBalancerCommand_1 = require("./commands/RegisterInstancesWithLoadBalancerCommand");
var RemoveTagsCommand_1 = require("./commands/RemoveTagsCommand");
var SetLoadBalancerListenerSSLCertificateCommand_1 = require("./commands/SetLoadBalancerListenerSSLCertificateCommand");
var SetLoadBalancerPoliciesForBackendServerCommand_1 = require("./commands/SetLoadBalancerPoliciesForBackendServerCommand");
var SetLoadBalancerPoliciesOfListenerCommand_1 = require("./commands/SetLoadBalancerPoliciesOfListenerCommand");
var ElasticLoadBalancing = /** @class */ (function (_super) {
    tslib_1.__extends(ElasticLoadBalancing, _super);
    function ElasticLoadBalancing() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ElasticLoadBalancing.prototype.addTags = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new AddTagsCommand_1.AddTagsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticLoadBalancing.prototype.applySecurityGroupsToLoadBalancer = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ApplySecurityGroupsToLoadBalancerCommand_1.ApplySecurityGroupsToLoadBalancerCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticLoadBalancing.prototype.attachLoadBalancerToSubnets = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new AttachLoadBalancerToSubnetsCommand_1.AttachLoadBalancerToSubnetsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticLoadBalancing.prototype.configureHealthCheck = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ConfigureHealthCheckCommand_1.ConfigureHealthCheckCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticLoadBalancing.prototype.createAppCookieStickinessPolicy = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateAppCookieStickinessPolicyCommand_1.CreateAppCookieStickinessPolicyCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticLoadBalancing.prototype.createLBCookieStickinessPolicy = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateLBCookieStickinessPolicyCommand_1.CreateLBCookieStickinessPolicyCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticLoadBalancing.prototype.createLoadBalancer = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateLoadBalancerCommand_1.CreateLoadBalancerCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticLoadBalancing.prototype.createLoadBalancerListeners = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateLoadBalancerListenersCommand_1.CreateLoadBalancerListenersCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticLoadBalancing.prototype.createLoadBalancerPolicy = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateLoadBalancerPolicyCommand_1.CreateLoadBalancerPolicyCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticLoadBalancing.prototype.deleteLoadBalancer = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteLoadBalancerCommand_1.DeleteLoadBalancerCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticLoadBalancing.prototype.deleteLoadBalancerListeners = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteLoadBalancerListenersCommand_1.DeleteLoadBalancerListenersCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticLoadBalancing.prototype.deleteLoadBalancerPolicy = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteLoadBalancerPolicyCommand_1.DeleteLoadBalancerPolicyCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticLoadBalancing.prototype.deregisterInstancesFromLoadBalancer = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeregisterInstancesFromLoadBalancerCommand_1.DeregisterInstancesFromLoadBalancerCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticLoadBalancing.prototype.describeAccountLimits = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeAccountLimitsCommand_1.DescribeAccountLimitsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticLoadBalancing.prototype.describeInstanceHealth = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeInstanceHealthCommand_1.DescribeInstanceHealthCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticLoadBalancing.prototype.describeLoadBalancerAttributes = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeLoadBalancerAttributesCommand_1.DescribeLoadBalancerAttributesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticLoadBalancing.prototype.describeLoadBalancerPolicies = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeLoadBalancerPoliciesCommand_1.DescribeLoadBalancerPoliciesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticLoadBalancing.prototype.describeLoadBalancerPolicyTypes = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeLoadBalancerPolicyTypesCommand_1.DescribeLoadBalancerPolicyTypesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticLoadBalancing.prototype.describeLoadBalancers = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeLoadBalancersCommand_1.DescribeLoadBalancersCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticLoadBalancing.prototype.describeTags = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeTagsCommand_1.DescribeTagsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticLoadBalancing.prototype.detachLoadBalancerFromSubnets = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DetachLoadBalancerFromSubnetsCommand_1.DetachLoadBalancerFromSubnetsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticLoadBalancing.prototype.disableAvailabilityZonesForLoadBalancer = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DisableAvailabilityZonesForLoadBalancerCommand_1.DisableAvailabilityZonesForLoadBalancerCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticLoadBalancing.prototype.enableAvailabilityZonesForLoadBalancer = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new EnableAvailabilityZonesForLoadBalancerCommand_1.EnableAvailabilityZonesForLoadBalancerCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticLoadBalancing.prototype.modifyLoadBalancerAttributes = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ModifyLoadBalancerAttributesCommand_1.ModifyLoadBalancerAttributesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticLoadBalancing.prototype.registerInstancesWithLoadBalancer = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new RegisterInstancesWithLoadBalancerCommand_1.RegisterInstancesWithLoadBalancerCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticLoadBalancing.prototype.removeTags = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new RemoveTagsCommand_1.RemoveTagsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticLoadBalancing.prototype.setLoadBalancerListenerSSLCertificate = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new SetLoadBalancerListenerSSLCertificateCommand_1.SetLoadBalancerListenerSSLCertificateCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticLoadBalancing.prototype.setLoadBalancerPoliciesForBackendServer = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new SetLoadBalancerPoliciesForBackendServerCommand_1.SetLoadBalancerPoliciesForBackendServerCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticLoadBalancing.prototype.setLoadBalancerPoliciesOfListener = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new SetLoadBalancerPoliciesOfListenerCommand_1.SetLoadBalancerPoliciesOfListenerCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    return ElasticLoadBalancing;
}(ElasticLoadBalancingClient_1.ElasticLoadBalancingClient));
exports.ElasticLoadBalancing = ElasticLoadBalancing;
//# sourceMappingURL=ElasticLoadBalancing.js.map