"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var AddTags_1 = require("../model/operations/AddTags");
var AddTagsCommand = /** @class */ (function () {
    function AddTagsCommand(input) {
        this.input = input;
        this.model = AddTags_1.AddTags;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    AddTagsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return AddTagsCommand;
}());
exports.AddTagsCommand = AddTagsCommand;
//# sourceMappingURL=AddTagsCommand.js.map