"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ApplySecurityGroupsToLoadBalancer_1 = require("../model/operations/ApplySecurityGroupsToLoadBalancer");
var ApplySecurityGroupsToLoadBalancerCommand = /** @class */ (function () {
    function ApplySecurityGroupsToLoadBalancerCommand(input) {
        this.input = input;
        this.model = ApplySecurityGroupsToLoadBalancer_1.ApplySecurityGroupsToLoadBalancer;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ApplySecurityGroupsToLoadBalancerCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ApplySecurityGroupsToLoadBalancerCommand;
}());
exports.ApplySecurityGroupsToLoadBalancerCommand = ApplySecurityGroupsToLoadBalancerCommand;
//# sourceMappingURL=ApplySecurityGroupsToLoadBalancerCommand.js.map