"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ConfigureHealthCheck_1 = require("../model/operations/ConfigureHealthCheck");
var ConfigureHealthCheckCommand = /** @class */ (function () {
    function ConfigureHealthCheckCommand(input) {
        this.input = input;
        this.model = ConfigureHealthCheck_1.ConfigureHealthCheck;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ConfigureHealthCheckCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ConfigureHealthCheckCommand;
}());
exports.ConfigureHealthCheckCommand = ConfigureHealthCheckCommand;
//# sourceMappingURL=ConfigureHealthCheckCommand.js.map