"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateLoadBalancer_1 = require("../model/operations/CreateLoadBalancer");
var CreateLoadBalancerCommand = /** @class */ (function () {
    function CreateLoadBalancerCommand(input) {
        this.input = input;
        this.model = CreateLoadBalancer_1.CreateLoadBalancer;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateLoadBalancerCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateLoadBalancerCommand;
}());
exports.CreateLoadBalancerCommand = CreateLoadBalancerCommand;
//# sourceMappingURL=CreateLoadBalancerCommand.js.map