"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateLoadBalancerListeners_1 = require("../model/operations/CreateLoadBalancerListeners");
var CreateLoadBalancerListenersCommand = /** @class */ (function () {
    function CreateLoadBalancerListenersCommand(input) {
        this.input = input;
        this.model = CreateLoadBalancerListeners_1.CreateLoadBalancerListeners;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateLoadBalancerListenersCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateLoadBalancerListenersCommand;
}());
exports.CreateLoadBalancerListenersCommand = CreateLoadBalancerListenersCommand;
//# sourceMappingURL=CreateLoadBalancerListenersCommand.js.map