"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateLoadBalancerPolicy_1 = require("../model/operations/CreateLoadBalancerPolicy");
var CreateLoadBalancerPolicyCommand = /** @class */ (function () {
    function CreateLoadBalancerPolicyCommand(input) {
        this.input = input;
        this.model = CreateLoadBalancerPolicy_1.CreateLoadBalancerPolicy;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateLoadBalancerPolicyCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateLoadBalancerPolicyCommand;
}());
exports.CreateLoadBalancerPolicyCommand = CreateLoadBalancerPolicyCommand;
//# sourceMappingURL=CreateLoadBalancerPolicyCommand.js.map