"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteLoadBalancer_1 = require("../model/operations/DeleteLoadBalancer");
var DeleteLoadBalancerCommand = /** @class */ (function () {
    function DeleteLoadBalancerCommand(input) {
        this.input = input;
        this.model = DeleteLoadBalancer_1.DeleteLoadBalancer;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteLoadBalancerCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteLoadBalancerCommand;
}());
exports.DeleteLoadBalancerCommand = DeleteLoadBalancerCommand;
//# sourceMappingURL=DeleteLoadBalancerCommand.js.map