"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteLoadBalancerPolicy_1 = require("../model/operations/DeleteLoadBalancerPolicy");
var DeleteLoadBalancerPolicyCommand = /** @class */ (function () {
    function DeleteLoadBalancerPolicyCommand(input) {
        this.input = input;
        this.model = DeleteLoadBalancerPolicy_1.DeleteLoadBalancerPolicy;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteLoadBalancerPolicyCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteLoadBalancerPolicyCommand;
}());
exports.DeleteLoadBalancerPolicyCommand = DeleteLoadBalancerPolicyCommand;
//# sourceMappingURL=DeleteLoadBalancerPolicyCommand.js.map