"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeregisterInstancesFromLoadBalancer_1 = require("../model/operations/DeregisterInstancesFromLoadBalancer");
var DeregisterInstancesFromLoadBalancerCommand = /** @class */ (function () {
    function DeregisterInstancesFromLoadBalancerCommand(input) {
        this.input = input;
        this.model = DeregisterInstancesFromLoadBalancer_1.DeregisterInstancesFromLoadBalancer;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeregisterInstancesFromLoadBalancerCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeregisterInstancesFromLoadBalancerCommand;
}());
exports.DeregisterInstancesFromLoadBalancerCommand = DeregisterInstancesFromLoadBalancerCommand;
//# sourceMappingURL=DeregisterInstancesFromLoadBalancerCommand.js.map