"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeInstanceHealth_1 = require("../model/operations/DescribeInstanceHealth");
var DescribeInstanceHealthCommand = /** @class */ (function () {
    function DescribeInstanceHealthCommand(input) {
        this.input = input;
        this.model = DescribeInstanceHealth_1.DescribeInstanceHealth;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeInstanceHealthCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeInstanceHealthCommand;
}());
exports.DescribeInstanceHealthCommand = DescribeInstanceHealthCommand;
//# sourceMappingURL=DescribeInstanceHealthCommand.js.map