"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeLoadBalancerAttributes_1 = require("../model/operations/DescribeLoadBalancerAttributes");
var DescribeLoadBalancerAttributesCommand = /** @class */ (function () {
    function DescribeLoadBalancerAttributesCommand(input) {
        this.input = input;
        this.model = DescribeLoadBalancerAttributes_1.DescribeLoadBalancerAttributes;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeLoadBalancerAttributesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeLoadBalancerAttributesCommand;
}());
exports.DescribeLoadBalancerAttributesCommand = DescribeLoadBalancerAttributesCommand;
//# sourceMappingURL=DescribeLoadBalancerAttributesCommand.js.map