"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeLoadBalancerPolicies_1 = require("../model/operations/DescribeLoadBalancerPolicies");
var DescribeLoadBalancerPoliciesCommand = /** @class */ (function () {
    function DescribeLoadBalancerPoliciesCommand(input) {
        this.input = input;
        this.model = DescribeLoadBalancerPolicies_1.DescribeLoadBalancerPolicies;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeLoadBalancerPoliciesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeLoadBalancerPoliciesCommand;
}());
exports.DescribeLoadBalancerPoliciesCommand = DescribeLoadBalancerPoliciesCommand;
//# sourceMappingURL=DescribeLoadBalancerPoliciesCommand.js.map