"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeLoadBalancers_1 = require("../model/operations/DescribeLoadBalancers");
var DescribeLoadBalancersCommand = /** @class */ (function () {
    function DescribeLoadBalancersCommand(input) {
        this.input = input;
        this.model = DescribeLoadBalancers_1.DescribeLoadBalancers;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeLoadBalancersCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeLoadBalancersCommand;
}());
exports.DescribeLoadBalancersCommand = DescribeLoadBalancersCommand;
//# sourceMappingURL=DescribeLoadBalancersCommand.js.map