"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DisableAvailabilityZonesForLoadBalancer_1 = require("../model/operations/DisableAvailabilityZonesForLoadBalancer");
var DisableAvailabilityZonesForLoadBalancerCommand = /** @class */ (function () {
    function DisableAvailabilityZonesForLoadBalancerCommand(input) {
        this.input = input;
        this.model = DisableAvailabilityZonesForLoadBalancer_1.DisableAvailabilityZonesForLoadBalancer;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DisableAvailabilityZonesForLoadBalancerCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DisableAvailabilityZonesForLoadBalancerCommand;
}());
exports.DisableAvailabilityZonesForLoadBalancerCommand = DisableAvailabilityZonesForLoadBalancerCommand;
//# sourceMappingURL=DisableAvailabilityZonesForLoadBalancerCommand.js.map