"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var EnableAvailabilityZonesForLoadBalancer_1 = require("../model/operations/EnableAvailabilityZonesForLoadBalancer");
var EnableAvailabilityZonesForLoadBalancerCommand = /** @class */ (function () {
    function EnableAvailabilityZonesForLoadBalancerCommand(input) {
        this.input = input;
        this.model = EnableAvailabilityZonesForLoadBalancer_1.EnableAvailabilityZonesForLoadBalancer;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    EnableAvailabilityZonesForLoadBalancerCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return EnableAvailabilityZonesForLoadBalancerCommand;
}());
exports.EnableAvailabilityZonesForLoadBalancerCommand = EnableAvailabilityZonesForLoadBalancerCommand;
//# sourceMappingURL=EnableAvailabilityZonesForLoadBalancerCommand.js.map