"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var RegisterInstancesWithLoadBalancer_1 = require("../model/operations/RegisterInstancesWithLoadBalancer");
var RegisterInstancesWithLoadBalancerCommand = /** @class */ (function () {
    function RegisterInstancesWithLoadBalancerCommand(input) {
        this.input = input;
        this.model = RegisterInstancesWithLoadBalancer_1.RegisterInstancesWithLoadBalancer;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    RegisterInstancesWithLoadBalancerCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return RegisterInstancesWithLoadBalancerCommand;
}());
exports.RegisterInstancesWithLoadBalancerCommand = RegisterInstancesWithLoadBalancerCommand;
//# sourceMappingURL=RegisterInstancesWithLoadBalancerCommand.js.map