"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var RemoveTags_1 = require("../model/operations/RemoveTags");
var RemoveTagsCommand = /** @class */ (function () {
    function RemoveTagsCommand(input) {
        this.input = input;
        this.model = RemoveTags_1.RemoveTags;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    RemoveTagsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return RemoveTagsCommand;
}());
exports.RemoveTagsCommand = RemoveTagsCommand;
//# sourceMappingURL=RemoveTagsCommand.js.map