"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var SetLoadBalancerPoliciesForBackendServer_1 = require("../model/operations/SetLoadBalancerPoliciesForBackendServer");
var SetLoadBalancerPoliciesForBackendServerCommand = /** @class */ (function () {
    function SetLoadBalancerPoliciesForBackendServerCommand(input) {
        this.input = input;
        this.model = SetLoadBalancerPoliciesForBackendServer_1.SetLoadBalancerPoliciesForBackendServer;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    SetLoadBalancerPoliciesForBackendServerCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return SetLoadBalancerPoliciesForBackendServerCommand;
}());
exports.SetLoadBalancerPoliciesForBackendServerCommand = SetLoadBalancerPoliciesForBackendServerCommand;
//# sourceMappingURL=SetLoadBalancerPoliciesForBackendServerCommand.js.map