"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var SetLoadBalancerPoliciesOfListener_1 = require("../model/operations/SetLoadBalancerPoliciesOfListener");
var SetLoadBalancerPoliciesOfListenerCommand = /** @class */ (function () {
    function SetLoadBalancerPoliciesOfListenerCommand(input) {
        this.input = input;
        this.model = SetLoadBalancerPoliciesOfListener_1.SetLoadBalancerPoliciesOfListener;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    SetLoadBalancerPoliciesOfListenerCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return SetLoadBalancerPoliciesOfListenerCommand;
}());
exports.SetLoadBalancerPoliciesOfListenerCommand = SetLoadBalancerPoliciesOfListenerCommand;
//# sourceMappingURL=SetLoadBalancerPoliciesOfListenerCommand.js.map