"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateLoadBalancerInput_1 = require("../shapes/CreateLoadBalancerInput");
var CreateLoadBalancerOutput_1 = require("../shapes/CreateLoadBalancerOutput");
var DuplicateAccessPointNameException_1 = require("../shapes/DuplicateAccessPointNameException");
var TooManyAccessPointsException_1 = require("../shapes/TooManyAccessPointsException");
var CertificateNotFoundException_1 = require("../shapes/CertificateNotFoundException");
var InvalidConfigurationRequestException_1 = require("../shapes/InvalidConfigurationRequestException");
var SubnetNotFoundException_1 = require("../shapes/SubnetNotFoundException");
var InvalidSubnetException_1 = require("../shapes/InvalidSubnetException");
var InvalidSecurityGroupException_1 = require("../shapes/InvalidSecurityGroupException");
var InvalidSchemeException_1 = require("../shapes/InvalidSchemeException");
var TooManyTagsException_1 = require("../shapes/TooManyTagsException");
var DuplicateTagKeysException_1 = require("../shapes/DuplicateTagKeysException");
var UnsupportedProtocolException_1 = require("../shapes/UnsupportedProtocolException");
var OperationNotPermittedException_1 = require("../shapes/OperationNotPermittedException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateLoadBalancer = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateLoadBalancer",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateLoadBalancerInput_1.CreateLoadBalancerInput
    },
    output: {
        shape: CreateLoadBalancerOutput_1.CreateLoadBalancerOutput,
        resultWrapper: "CreateLoadBalancerResult"
    },
    errors: [
        {
            shape: DuplicateAccessPointNameException_1.DuplicateAccessPointNameException
        },
        {
            shape: TooManyAccessPointsException_1.TooManyAccessPointsException
        },
        {
            shape: CertificateNotFoundException_1.CertificateNotFoundException
        },
        {
            shape: InvalidConfigurationRequestException_1.InvalidConfigurationRequestException
        },
        {
            shape: SubnetNotFoundException_1.SubnetNotFoundException
        },
        {
            shape: InvalidSubnetException_1.InvalidSubnetException
        },
        {
            shape: InvalidSecurityGroupException_1.InvalidSecurityGroupException
        },
        {
            shape: InvalidSchemeException_1.InvalidSchemeException
        },
        {
            shape: TooManyTagsException_1.TooManyTagsException
        },
        {
            shape: DuplicateTagKeysException_1.DuplicateTagKeysException
        },
        {
            shape: UnsupportedProtocolException_1.UnsupportedProtocolException
        },
        {
            shape: OperationNotPermittedException_1.OperationNotPermittedException
        }
    ]
};
//# sourceMappingURL=CreateLoadBalancer.js.map